Subject: Re: bug#51102: [PATCH] Make speedbar XEmacs compatibility mode obsolete (etags)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Oct 2021 10:52:21 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sat, 9 Oct 2021 00:08:06 -0700
> Cc: [email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I also don't understand the "Etags support is not as robust as imenu
> > support" part of the doc string.
> 
> The author seems to have held the opinion that etags is not relevant on
> Emacs:
> 
> ;;; Tag Management -- etags  (old XEmacs compatibility part)
> 
> That comment dates to 1998, when speedbar.el was first imported.

Yes, I've seen that.  I'd like the author to elaborate on that: what
exactly is not robust in the etags support by Speedbar?